<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCtrlData Method (IEdmCardViewCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardViewCallback6 Interface : GetCtrlData Method (IEdmCardViewCallback6)

Visual Basic
C#
C++/CLI

lCardWnd
  Window handle of the card

lCardID
  ID of the card (see Remarks)

lControlID
  ID of the control for which to get the value (see Remarks)

lVariableID
  ID of the variable used by this control (see Remarks)

bsVariableName
  Name of the variable used by this control

poView
  IEdmCardView5

Gets the data to insert into a control when a card is opened.

# Syntax

Visual Basic |
--- | ---

    Function GetCtrlData( _
       ByVal lCardWnd As System.Integer, _
       ByVal lCardID As System.Integer, _
       ByVal lControlID As System.Integer, _
       ByVal lVariableID As System.Integer, _
       ByVal bsVariableName As System.String, _
       ByVal poView As IEdmCardView5 _
    ) As System.Object

C# |
--- | ---

    System.object GetCtrlData(
       System.int lCardWnd,
       System.int lCardID,
       System.int lControlID,
       System.int lVariableID,
       System.string bsVariableName,
       IEdmCardView5 poView
    )

C++/CLI |
--- | ---

    System.Object^ GetCtrlData(
    &   System.int lCardWnd,
    &   System.int lCardID,
    &   System.int lControlID,
    &   System.int lVariableID,
    &   System.String^ bsVariableName,
    &   IEdmCardView5^ poView
    )

#### Parameters

lCardWnd
  Window handle of the card
lCardID
  ID of the card (see Remarks)
lControlID
  ID of the control for which to get the value (see Remarks)
lVariableID
  ID of the variable used by this control (see Remarks)
bsVariableName
  Name of the variable used by this control
poView
  IEdmCardView5

#### Return Value

Data for the specified control

# Example

See the IEdmCardViewCallback6 examples.

# Remarks

The framework calls this method once per control when a card created with IEdmVault10::CreateCardViewEx2 is opened.

Use... | In a call to IEdmVault5::GetObject with eType = ... | To obtain...
--- | --- | ---
ICardID | EdmObjectType.EdmObject_Card | IEdmCard5
IControlID | EdmObjectType.EdmObject_CardControl | IEdmCardControl5
IVariableID | EdmObjectType.EdmObject_Variable | IEdmVariable5

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardViewCallback6 Interface
IEdmCardViewCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0